# Uses of Interface
org.eclipse.draw2d.FigureListener

Packages that use FigureListener
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of FigureListener in org.eclipse.draw2d

Methods in org.eclipse.draw2d with parameters of type FigureListener
Modifier and Type
Method
Description
`void`
Figure.`addFigureListener(FigureListener listener)`
`void`
IFigure.`addFigureListener(FigureListener listener)`
Registers the given listener as a FigureListener of this figure.
`void`
Figure.`removeFigureListener(FigureListener listener)`
`void`
IFigure.`removeFigureListener(FigureListener listener)`
Unregisters the given listener, so that it will no longer receive notification of IFigure events.